
var loaderUtils = require("loader-utils");

module.exports = function(fileTexts) {

	var query = loaderUtils.parseQuery(this.query);
	fileTexts = query.min === false?fileTexts:fileTexts.replace(/\n/g, '');
	
	if(/module\.exports\s?=/.test(fileTexts)) {
		fileTexts = fileTexts.replace(/module\.exports\s?=\s?/, '');
	}
	else fileTexts = JSON.stringify(fileTexts);

	if(query.deep !== false) fileTexts = loadDeep(fileTexts, this.query);
	
	return "module.exports = "+fileTexts;
};


function loadDeep(fileTexts, queryStr) {
	return fileTexts.replace(/#include\(\\?[\'\"][^\'\"]+\\?[\'\"]\);?/g, function(str){
		var childFileSrc = str.replace(/[\\\'\"\>\(\);]/g, '').replace('#include', '');
		return "\"+require("+JSON.stringify("include-html-webpack-loader"+queryStr+"!"+childFileSrc)+")+\"";
	});
}

